out123(1)

NAME
out123 - play raw PCM audio to an output device

SYNOPSIS
cat audio.raw | out123 [ options ]

DESCRIPTION
out123 reads raw PCM data (in host byte order) from standard input and plays it on the audio device specified by given options.

OPTIONS
out123 options may be either the traditional POSIX one letter options, or the GNU style long options. POSIX style options start with a single ``-'', while GNU long options start with ``--''. Option arguments (if needed) follow separated by whitespace (not ``=''). Note that some options can be absent from your installation when disabled in the build process.

-o module, --output module
    Select audio output module. You can provide a comma-separated list to use the first one that works.

--list-modules
    List the available modules.

-a dev, --audiodevice dev
    Specify the audio device to use. The default is system-dependent (usually /dev/audio or /dev/dsp). Use this option if you have multiple audio devices and the default is not what you want.

-s, --stdout
    The audio samples are written to standard output, instead of playing them through the audio device. The output format is the same as the input ... so in this mode, mpg123 acts like the standard tool cat.

-O file, --outfile
    Write raw output into a file (instead of simply redirecting standard output to a file with the shell).

-w file, --wav
    Write output as WAV file file , or standard output if - is used as file name. You can also use --au and --cdr for AU and CDR format, respectively. Note that WAV/AU writing to non-seekable files or redirected stdout needs some thought. The header is written with the first actual data. The result of decoding nothing to WAV/AU is a file consisting just of the header when it is seekable and really nothing when not (not even a header). Correctly writing data with prophetic headers to stdout is no easy business.

--au file
    Write to file in SUN audio format. If - is used as the filename, the AU file is written to stdout. See paragraph about WAV writing for header fun with non-seekable streams.

--cdr file
    Write to file as a CDR (CD-ROM audio, more correctly CDDA for Compact Disc Digital Audio). If - is used as the filename, the CDR file is written to stdout.

-m, --mono
    Set for single-channel audio (default is two channels, stereo).

--stereo
    Select stereo output (2 channels, default).

-r rate, --rate rate
    Set sample rate in Hz (default: 44100). If this does not match the actual input sampling rate, you get changed pitch. Might be intentional;-)

-e enc, --encoding enc
    Choose output sample encoding. Possible values look like f32 (32-bit floating point), s32 (32-bit signed integer), u32 (32-bit unsigned integer) and the variants with different numbers of bits (s24, u24, s16, u16, s8, u8) and also special variants like ulaw and alaw 8-bit. See the output of out123's longhelp for actually available encodings. Default is s16.

-o h, --headphones
    Direct audio output to the headphone connector (some hardware only; AIX, HP, SUN).

-o s, --speaker
    Direct audio output to the speaker (some hardware only; AIX, HP, SUN).

-o l, --lineout
    Direct audio output to the line-out connector (some hardware only; AIX, HP, SUN).

-b size, --buffer size
    Use an audio output buffer of size Kbytes. This is useful to bypass short periods of heavy system activity, which would normally cause the audio output to be interrupted. You should specify a buffer size of at least 1024 (i.e. 1 Mb, which equals about 6 seconds of usual audio data) or more; less than about 300 does not make much sense. The default is 0, which turns buffering off.

--preload fraction
    Wait for the buffer to be filled to fraction before starting playback (fraction between 0 and 1). You can tune this prebuffering to either get sound faster to your ears or safer uninterrupted web radio. Default is 1 (wait for full buffer before playback).

-t, --test
    Test mode. The audio stream is read, but no output occurs.

-v, --verbose
    Increase the verbosity level.

-q, --quiet
    Quiet. Suppress diagnostic messages.

--aggressive
    Tries to get higher priority

-T, --realtime
    Tries to gain realtime priority. This option usually requires root privileges to have any effect.

-?, --help
    Shows short usage instructions.

--longhelp
    Shows long usage instructions.

--version
    Print the version string.

AUTHORS

Maintainer:
    Thomas Orgis <maintainer@mpg123.org>, <thomas@orgis.org>

Creator (ancestry of code inside mpg123):
    Michael Hipp

Uses code or ideas from various people, see the AUTHORS file accompanying the source code.

LICENSE
out123 is licensed under the GNU Lesser/Library General Public License, LGPL, version 2.1 .

WEBSITE
http://www.mpg123.org
http://sourceforge.net/projects/mpg123